Can I install Snow Lepord

Can i do it with any 3rd party software

Answered! View the answer I have this problem too

Is this a good question?

Score 0

Comments:

Maybe a better question -- why do you need Snow Leopard? Maybe there's a work-around for what you need to do.

by

Add a comment
Black Friday
Broken doesn't stand a chance.

2 Answers

Chosen Solution

Snow Leopard requires an Intel processor. Your highest system is MacOS: X 10.5.8

Was this answer helpful?

Score 2
Add a comment

Sorry just not possible.

Was this answer helpful?

Score 1
Add a comment

Add your answer

suresh will be eternally grateful.
View Statistics:

Past 24 Hours: 0

Past 7 Days: 0

Past 30 Days: 0

All Time: 335